Bug 651698 - (CVE-2010-4158) CVE-2010-4158 kernel: socket filters infoleak
CVE-2010-4158 kernel: socket filters infoleak
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20101110,reported=2...
: Security
Depends On: 651699 651700 651701 651702 651703 651704 651705
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-10 01:36 EST by Eugene Teo (Security Response)
Modified: 2016-02-15 10:34 EST (History)
19 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-07-29 09:17:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Eugene Teo (Security Response) 2010-11-10 01:36:47 EST
Description of problem:
The "mem" array used as scratch space for socket filters is not initialized, allowing unprivileged users to leak kernel stack bytes.

http://www.spinics.net/lists/netdev/msg146361.html
http://lists.grok.org.uk/pipermail/full-disclosure/2010-November/077321.html

Acknowledgements:

Red Hat would like to thank Dan Rosenberg for reporting this issue.
Comment 3 Vincent Danen 2010-11-10 16:52:17 EST
This issue has been assigned the name CVE-2010-4158.
Comment 5 Eugene Teo (Security Response) 2010-11-12 01:56:14 EST
We are aware that the public reproducer caused a deadlock issue on rhel-5. We have filed separate bugs for that. See CVE-2010-4161.
Comment 8 Eugene Teo (Security Response) 2010-11-14 21:23:47 EST
Upstream commit:
http://git.kernel.org/linus/57fe93b374a6b8711995c2d466c502af9f3a08bb
Comment 9 errata-xmlrpc 2010-12-08 14:10:22 EST
This issue has been addressed in following products:

  MRG for RHEL-5

Via RHSA-2010:0958 https://rhn.redhat.com/errata/RHSA-2010-0958.html
Comment 10 errata-xmlrpc 2011-01-11 14:46:52 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2011:0007 https://rhn.redhat.com/errata/RHSA-2011-0007.html
Comment 11 errata-xmlrpc 2011-01-13 17:00:17 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2011:0017 https://rhn.redhat.com/errata/RHSA-2011-0017.html
Comment 12 errata-xmlrpc 2011-01-14 04:03:21 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2011:0017 https://rhn.redhat.com/errata/RHSA-2011-0017.html
Comment 13 errata-xmlrpc 2011-01-18 12:46:06 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4

Via RHSA-2011:0162 https://rhn.redhat.com/errata/RHSA-2011-0162.html

Note You need to log in before you can comment on or make changes to this bug.